﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Navigation;
using GalaSoft.MvvmLight.Messaging;
using Microsoft.Phone.Controls;
using GalaSoft.MvvmLight;
using Telerik.Windows.Controls;

namespace RadControls.WP7.MVVM.ExClasses
{
    public class StateManager
    {
        public RadPhoneApplicationFrame root;

        public StateManager(RadPhoneApplicationFrame rootFrame)
        {
            Messenger.Default.Register<string>(this, "NavigationLocation", NavigateMe);

            root = rootFrame;
        }

        public void NavigateMe(string navLocation)
        {
            root.Navigate(new Uri(navLocation, UriKind.Relative));
        }
    }
}


